nl.topicus.jdbc.util

## Class CloudSpannerConversionUtil

- java.lang.Object
- - nl.topicus.jdbc.util.CloudSpannerConversionUtil

    public class CloudSpannerConversionUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CloudSpannerConversionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.google.cloud.spanner.Date` `toCloudSpannerDate(Date date)`
`static com.google.cloud.spanner.Timestamp` `toCloudSpannerTimestamp(Timestamp ts)`
`static Date` `toSqlDate(com.google.cloud.spanner.Date date)`
`static Timestamp` `toSqlTimestamp(com.google.cloud.spanner.Timestamp ts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloudSpannerConversionUtil

    public CloudSpannerConversionUtil()

### Method Detail

#### toSqlDate

    public static Date toSqlDate(com.google.cloud.spanner.Date date)

#### toCloudSpannerDate

    public static com.google.cloud.spanner.Date toCloudSpannerDate(Date date)

#### toSqlTimestamp

    public static Timestamp toSqlTimestamp(com.google.cloud.spanner.Timestamp ts)

#### toCloudSpannerTimestamp

    public static com.google.cloud.spanner.Timestamp toCloudSpannerTimestamp(Timestamp ts)